<script>
import BScroll from "better-scroll";
import SvgIcon from "@/components/SvgIcon.vue";
import Select from "@/components/Select.vue";
import MainDialog from "@/components/dialog/MainDialog.vue";

export default {
  name: "Light",
  components: {
    MainDialog,
    Select,
    SvgIcon,
  },
  data() {
    return {
      selectIndex: 0,
      switch1: true,
      switch2: true,
      visible: false,
      visible1: false,
    };
  },
  mounted() {
    this.init();
  },
  beforeDestroy() {
    this.bs.destroy();
  },
  methods: {
    init() {
      this.bs = new BScroll(this.$refs.scrolll, {
        quadrant: 2,
        click: true,
      });
    },
  },
};
</script>

<template>
  <div class="custom-body">
    <div class="scroll-wrapper" ref="scrolll">
      <div class="card-body">
        <div class="card-group custom-card">
          <div>
            <span>氛围灯颜色</span>
            <img src="../../assets/images/setting/light/img_1.webp" alt="" />
          </div>

          <div>
            <span>氛围灯亮度</span>
            <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
          </div>

          <div>
            <span>氛围灯区域</span>
            <Select
              :options="['整车', '前排', '后排']"
              :selected-index="selectIndex"
              @changeIndex="(e) => (selectIndex = e)"
            />
          </div>
        </div>

        <div class="card-group">
          <u-card left-text="氛围灯动态多色彩">
            <template #right>
              <u-switch value="value" />
            </template>
          </u-card>

          <u-card
            left-text="动态多色彩"
            is-arrow
            right-text="星辰大海"
            @onClick="visible = true"
          />

          <u-card left-text="氛围灯音乐律动" @onClick="visible1 = true">
            <template #right>
              <u-switch value="value" />
            </template>
          </u-card>

          <u-card
            left-text="音乐律动"
            is-arrow
            right-text="星辰大海"
            @onClick="visible1 = true"
          />
        </div>

        <div class="card-group">
          <u-card left-text="日间行车灯">
            <template #right>
              <u-switch v-model="switch2" />
            </template>
          </u-card>

          <u-card
            left-text="音乐律动"
            right-text="3 档"
            right-text-color="#199EF6"
          />

          <div class="card custom-card-2">
            <div class="flex flex-jcs flex-center">
              <SvgIcon icon-class="sound_reduce" :width="81" :height="52" />
              <SvgIcon icon-class="sound_add" :width="81" :height="52" />
            </div>
            <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
          </div>

          <div class="card custom-card-2">
            <div class="flex flex-jcs flex-center">
              <span>回家照明延时</span>
              <span style="color: #199ef6">3 档</span>
            </div>
            <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
          </div>

          <div class="card custom-card-2">
            <div class="flex flex-jcs flex-center">
              <span>离家照明延时</span>
              <span style="color: #199ef6">3 档</span>
            </div>
            <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
          </div>
        </div>

        <u-card shadow left-text="智能迎宾灯">
          <template #right>
            <u-switch v-model="switch1" />
          </template>
        </u-card>
      </div>
    </div>

    <img
      src="../../assets/images/setting/light/img.webp"
      alt=""
      class="img-signal"
    />

    <MainDialog
      :dialog-visible="visible"
      title="动态多色彩"
      class="custom-dialog"
      :width="909"
      :bottom-array="[
        { name: '确定', color: '#199EF6' },
        { name: '取消', color: '#C4C4C4' },
      ]"
      @changeVisble="(e) => (visible = e)"
    >
      <template #content>
        <div class="flex flex-column w-full">
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>星辰大海</span>
            <svg-icon icon-class="ic_bluee" />
          </div>
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>热带风情</span>
            <svg-icon icon-class="ic_bluee1" />
          </div>
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>万紫千红</span>
            <svg-icon icon-class="ic_bluee1" />
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      :dialog-visible="visible1"
      title="音乐律动"
      class="custom-dialog"
      :width="909"
      :bottom-array="[
        { name: '确定', color: '#199EF6' },
        { name: '取消', color: '#C4C4C4' },
      ]"
      @changeVisble="(e) => (visible1 = e)"
    >
      <template #content>
        <div class="flex flex-column w-full">
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>独具一格</span>
            <svg-icon icon-class="ic_bluee1" />
          </div>
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>星辰大海</span>
            <svg-icon icon-class="ic_bluee" />
          </div>
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>热带风情</span>
            <svg-icon icon-class="ic_bluee1" />
          </div>
          <div class="flex flex-jcs w-full flex-center-column flex-center">
            <span>万紫千红</span>
            <svg-icon icon-class="ic_bluee1" />
          </div>
        </div>
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.custom-dialog {
  ::v-deep .dialog-body {
    div {
      margin: 30px 0;
    }
  }
  .svg-icon {
    width: 36px;
    height: 36px;
  }
}
.custom-card {
  padding: 40px;
  font-size: 28px;
}
.custom-card-2 {
  padding: 0 35px;
  font-size: 28px;
}
.custom-body {
  display: flex;
  width: 694px;
  height: 743px;
  overflow: hidden;
  span {
    font-size: 30px;
  }
  .scroll-wrapper {
    width: 100%;
    overflow: hidden;
  }

  .card-body {
    overflow: hidden;
    flex-grow: 1;
    height: 240%;

    .card-group {
      border-radius: 16px;
      opacity: 1;
      background: #ffffff;
      box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.09);
      margin-bottom: 15px;

      .select-warp {
        margin-top: 28px;
        height: 70px;
      }

      img {
        width: 100%;
      }
    }
  }

  .right {
    flex-grow: 1;
  }
}

.img-signal {
  width: 978px;
  height: 559px;
  position: absolute;
  right: 0;
  top: 250px;
}
</style>
